// Simple HTTP_GET example to retrieve information from device

#include <ESP8266WiFi.h>
#include <ESP8266HTTPClient.h>
extern "C"
{
  #include "user_interface.h"                   // sdk library
}

#define REQUEST_INTERVAL_DELAY  30000           // request interval in ms

// wifi configuration
const char* ssid     = "Virus Infected";
const char* password = "fuckyouasshole1818";
const char * WifihostName = "ESP_cURL_Emulator";

 
void setup ()
{
  Serial.begin(115200);
  WiFi.begin(ssid, password);
  startWiFi();                                      // connecto to wifi 
}                             // setup ends

 
void loop() 
{
  if (WiFi.status() == WL_CONNECTED)                // check WiFi connection status
  { 
    HTTPClient http;                                // declare an object of class HTTPClient

  // this is the destination address for the request
    http.begin("http://192.168.1.234/api/temp/0");     // specify request destination
    int httpCode = http.GET();                            // send the request
 
    if (httpCode > 0)                       // check the returning code (no error checking)
    { 
      String payload = http.getString();    // get the request response payload
      Serial.println(payload);              // print the response payload
    }
    http.end();                             // close HTTP connection
  }
  delay(REQUEST_INTERVAL_DELAY);            // send a request at interval
}                               // void loop ends
